<mat-toolbar>
  <span>{{service.form.controls['$key'].value?"Modify Car" : "New Car"}}</span>
  <span class="fill-remaining-space"></span>
  <!-- <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabindex="-1">
    <mat-icon>clear</mat-icon>
  </button> -->
</mat-toolbar>

<form [formGroup]="service.form" class="normal-form" (submit)="onSubmit()">
  <mat-grid-list cols="2" rowHeight="300px">
    <mat-grid-tile>
      <div class="controles-container">
        <input type="hidden" formControlName="$key">
        <mat-form-field>
          <input formControlName="name" matInput placeholder="Name*">
          <mat-error>This field is mandatory.</mat-error>
        </mat-form-field>
        <mat-form-field>
          <input formControlName="year" matInput placeholder="Year">
        </mat-form-field>
        <mat-form-field>
          <input formControlName="brand" matInput placeholder="Brand">
        </mat-form-field>
        <mat-form-field>
          <input formControlName="price" matInput placeholder="price">
        </mat-form-field>
        <mat-form-field>
          <input formControlName="discount" matInput placeholder="Discount">
        </mat-form-field>
        <!-- <mat-form-field>
            <input formControlName="images" matInput placeholder="Images">

            <input type="file" (change)="uploadPhoto($event)">
            <div>{{ uploadPercent | async }}</div>
            <a [href]="photoDownloadURL | async">{{ photoDownloadURL | async }}</a>
            <br>
            image: uploaded by app <br>
            <img width="100px" [src]="(photos | async)?.url1" alt="">

        </mat-form-field> -->
      </div>
    </mat-grid-tile>
    <mat-grid-tile>
      <div class="controles-container">
        <div class="add-bottom-padding">
          Booked:
          <mat-radio-group formControlName="booked">
            <mat-radio-button value="1">Yes</mat-radio-button>
            <mat-radio-button value="2">No</mat-radio-button>
          </mat-radio-group>
        </div>
        <mat-form-field>
          <mat-select formControlName="color" placeholder="Color">
            <mat-option>None</mat-option>
            <ng-container *ngFor="let color of colorService.array">
              <mat-option value="{{color.$key}}">{{color.value}}</mat-option>
            </ng-container>
          </mat-select>
        </mat-form-field>
        <mat-form-field>
          <input formControlName="entryDate" matInput [matDatepicker]="picker" placeholder="Entry Date">
          <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
          <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
        <mat-form-field>
          <textarea formControlName="trim" matInput placeholder="Trim of Car"></textarea>
        </mat-form-field>
        <div class="button-row">
          <button mat-raised-button color="primary" [disabled]="service.form.invalid" type="submit">Submit</button>
          <button mat-raised-button color="warn" (click)="onBack()">Back</button>
        </div>
      </div>
    </mat-grid-tile>
  </mat-grid-list>

</form>
